// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) StreakEventKinds() StreakEventKinds { return StreakEventKinds(t) }

type StreakEventKinds struct{ alias string }

func (t StreakEventKinds) TableAlias() string { return t.alias }
func (t StreakEventKinds) name() string       { return "StreakEventKinds" }
func (t StreakEventKinds) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t StreakEventKinds) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.StreakID(),
		c.EventKind(),
	}
}

func (t StreakEventKinds) Columns() StreakEventKindsCols {
	return StreakEventKindsCols{tableAlias: t.alias}
}

type StreakEventKindsCols struct{ tableAlias string }

func (c StreakEventKindsCols) StreakID() string  { return colName(c.tableAlias, "StreakID") }  // STRING(36)
func (c StreakEventKindsCols) EventKind() string { return colName(c.tableAlias, "EventKind") } // STRING(36)

func (t StreakEventKinds) Indexes() StreakEventKindsIndexes { return StreakEventKindsIndexes{table: t} }

type StreakEventKindsIndexes struct{ table StreakEventKinds }

func (i StreakEventKindsIndexes) ByEventKind() Index {
	c := i.table.Columns()
	return Index{
		tableAlias: i.table.alias,
		tableName:  i.table.name(),
		indexName:  "StreakEventKinds_EventKind",
		columns: []string{
			c.StreakID(),
			c.EventKind(),
		},
	}
}
